Subject: Re: MPC83xx: ns16550.c - 'SERIAL_PORT_DFNS' undeclared?

From: Vitaly Bordug <[email-masked]>
Date: Fri, 19 Jan 2007 23:34:54 +0300

On Fri, 19 Jan 2007 12:14:04 -0800
Russell McGuire wrote:

> Ben,
> 
> That could be the problem
> 
> I am building using ARCH=ppc
> 
> What is the difference between the two?
Newer targets appear within arch/powerpc... Concerning your question, 
you seem to add new board hence you'll have to do those SERIAL_PORT_DFNS
in board-specific header file - grep for them inside arch/ppc for reference (if
that code is still there of course).

OTOH, if you are able to replace/update your firmware, I'd follow powerpc way.
Difference is FAQ I guess, please look around this list.

> 
> -----Original Message-----
And, uhm, top quoting is not good. I know telling that fact to Lookout DIstress is a challenge but anyway :)

--
Thanks, Vitaly
> From: Ben Warren [mailto:[email-masked]] 
> Sent: Friday, January 19, 2007 11:58 AM
> To: Russell McGuire
> Cc: [email-masked]
> Subject: Re: MPC83xx: ns16550.c - 'SERIAL_PORT_DFNS' undeclared?
> 
> 
> Russell,
> 
> On Fri, 2007-01-19 at 11:28 -0800, Russell McGuire wrote:
> 
> > 
> > arch/ppc/boot/common/ns16550.c  error: 'SERIAL_PORT_DFNS' undeclared
> > here ..
> > 
> 
> I don't think you should be building any code there...  Are you using
> ARCH=powerpc (you should be)
> 
> regards,
> Ben
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded